import { Injectable } from '@angular/core';
import {Observable} from 'rxjs';
import {Post} from '../models/post';
import {HttpClient} from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class PostService {
  url: string = 'http://localhost:8080/api/posts';
  constructor(private httpClient: HttpClient) {}

  list(): Observable<Post[]> {
    return this.httpClient.get<Post[]>("http://localhost:8080/api/posts");
  }
}
